<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Upload Image</title>
  <script type='text/javascript'>
    function preview_image(event) {
      var reader = new FileReader();
      reader.onload = function () {
        var output = document.getElementById('output_image');
        output.src = reader.result;
      }
      reader.readAsDataURL(event.target.files[0]);
    }

    function showSnackbar(color, message) {
      var x = document.getElementById("snackbar");
      x.style.backgroundColor = color;
      x.innerHTML = message;
      x.className = "show";
      setTimeout(function () {
        x.className = x.className.replace("show", "");
      }, 4000);
    }
  </script>

  <style>
    #wrapper {
      text-align: center;
      margin: 0 auto;
      padding: 0px;
      width: 995px;
    }

    #output_image {
      max-width: 300px;
    }

    .button {
      background-color: #4CAF50;
      /* Green */
      border: none;
      color: white;
      padding: 15px 32px;
      text-align: center;
      text-decoration: none;
      display: inline-block;
      font-size: 16px;
    }

    .blue {
      background-color: #008CBA;
    }

    /* Blue */

    #snackbar {
      visibility: hidden;
      min-width: 250px;
      margin-left: -125px;
      background-color: #333;
      color: #fff;
      text-align: center;
      border-radius: 2px;
      padding: 16px;
      position: fixed;
      z-index: 1;
      left: 50%;
      bottom: 30px;
      font-size: 17px;
    }

    #snackbar.show {
      visibility: visible;
      -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
      animation: fadein 0.5s, fadeout 0.5s 2.5s;
    }

    @-webkit-keyframes fadein {
      from {
        bottom: 0;
        opacity: 0;
      }

      to {
        bottom: 30px;
        opacity: 1;
      }
    }

    @keyframes fadein {
      from {
        bottom: 0;
        opacity: 0;
      }

      to {
        bottom: 30px;
        opacity: 1;
      }
    }

    @-webkit-keyframes fadeout {
      from {
        bottom: 30px;
        opacity: 1;
      }

      to {
        bottom: 0;
        opacity: 0;
      }
    }

    @keyframes fadeout {
      from {
        bottom: 30px;
        opacity: 1;
      }

      to {
        bottom: 0;
        opacity: 0;
      }
    }
  </style>
</head>

<body>
  <form action="upload.php" method="post" enctype="multipart/form-data">

    <div id="wrapper">
      <h3>Select an image to upload</h3>
      <input id="fileUpload" class="button" type="file" accept="image/*" onchange="preview_image(event)">
      <div style="margin-top: 30px">
        <img id="output_image" />
      </div>
      <div style="margin-top: 30px">
        <input id="btnUpload" class="button blue" type="button" value="Upload" />
      </div>
    </div>
  </form>
  <div id="snackbar"></div>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="upload.js"></script>
</body>

</html>